HttpMessage::setHttpVersion
HttpMessage::setRequestUrl
Classe HttpMessage
PHP Manual

# HttpMessage::setRequestMethod

(PECL pecl_http >= 0.10.0)

HttpMessage::setRequestMethod — Définit la méthode de la demande

### Description

public bool HttpMessage::setRequestMethod ( string `$method` )

Définit la méthode de la demande du message HTTP.

### Liste de paramètres

`method`

  le nom de la méthode de la demande

### Valeurs de retour

Retourne `TRUE` en cas de succès, ou `FALSE` si le message n'est pas du type HttpMessage::`TYPE_REQUEST` ou si une méthode de demande invalide est fournie.

HttpMessage::setHttpVersion
HttpMessage::setRequestUrl
Classe HttpMessage
PHP Manual